#line 1 "jeopardy.c"



#pragma chip PIC16F628A

#pragma bit P1Btn @ PORTB.0
#pragma bit P2Btn @ PORTB.1
#pragma bit P3Btn @ PORTB.2
#pragma bit P4Btn @ PORTB.3

#pragma bit P1LED @ PORTB.4
#pragma bit P2LED @ PORTB.5
#pragma bit P3LED @ PORTB.6
#pragma bit P4LED @ PORTB.7

#pragma bit BUZZER @ PORTA.1

#pragma bit READYLED @ PORTA.0

void main(void)
{
    CMCON = 7;
    
    TRISA = 0;
    TRISB = 0b.0000.1111;
    PORTA = 0;
    PORTB = 0;
    READYLED = 1;
    
    while(!(PORTB & 0b.0000.1111)) nop();
    
    if(P1Btn) P1LED=1
    else if(P2Btn) P2LED=1
    else if(P3Btn) P3LED=1
    else P4LED=1;
    
    READYLED = 0;
    
    BUZZER=1;
    pause_ms(500);
    BUZZER=0;
    pause_ms(5000);
}